////////////////////////////////////////////////////////////////////////////////
/// @file
/// @brief プラットフォーム依存部分のラッパー実装
///
///
///
/// Copyright (C) 2009 Alpha Systems Inc. All Rights Reserved.
/// @internal
/// @date $Date: $
/// @version $Revision: $
////////////////////////////////////////////////////////////////////////////////


#ifndef MISC_H
#define MISC_H

/// @brief ロケールディレクトリへのパスを取得
///
/// @param[out] locale_dir ロケールディレクトリへのパスを格納するバッファへのポインタ
/// @retval 0 正常終了
/// @retval -1 異常終了
/// @note
/// 引数として受け取った文字列バッファにロケールディレクトリへのパスを返します。
/// 異常終了した場合は文字列バッファには何も行われません。
/// @internal
/// @author ootakik
int getLocaleDirectoryPath(char **locale_dir);

#endif
