////////////////////////////////////////////////////////////////////////////////
/// @file
/// @brief ファイルシステム依存な処理のラップ
///
/// Copyright (C) 2009 Alpha Systems Inc. All Rights Reserved.
/// @internal
/// @date $Date: $
/// @version $Revision: $
////////////////////////////////////////////////////////////////////////////////

#include <string.h>
#include <gtk/gtk.h>

#include "misc.h"


//ロケールディレクトリへのパスを取得
int getLocaleDirectoryPath(char **locale_dir)
{
	gchar *package_prefix = NULL;
	gchar *package_locale_dir = NULL;

	if (locale_dir == NULL || *locale_dir == NULL)
	{
		return -1;
	}

	package_prefix = g_win32_get_package_installation_directory (NULL, NULL);
	if (package_prefix == NULL)
	{
		return -1;
	}
	//実行ファイルの隣に .\share\locale ディレクトリが置いてあるものとする
	package_locale_dir = g_build_filename (package_prefix, "share", "locale", NULL);

	strcpy(*locale_dir, package_locale_dir);

	g_free(package_prefix);
	g_free(package_locale_dir);

	return 0;
}
