#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>
#include <time.h>

#include "type.h"
#include "callbacks.h"
#include "interface.h"
#include "support.h"

/// @brief ロック開始関数
extern int TryHook(void);
/// @brief ロック解除関数
extern int TryUnhook(void);
/// @brief ロックウィンドウのウィジェット
extern GtkWidget *lock_window;


///
///  @brief マウス及び各キー操作のロックを行う関数
///
void
start_lock(void)
{
	gtk_widget_activate(lock_window);
	gtk_widget_show(lock_window);
	gdk_window_show(lock_window->window);
	gtk_window_present(GTK_WINDOW(lock_window));
	show_gtkwindow_top(lock_window);

	//フックの成否判断用変数
	int flagTryHook = 0;
	//グローバルフックの開始
	flagTryHook = TryHook();

	if(flagTryHook != 0)
	{
		printf("Hook failed");
		return;
	}
}


///
///  @brief ロックを解除する関数
///
void
stop_lock(void)
{
	//フック解除成否判断用変数
	int flagTryUnhook = 0;

	if (GETLOCK_C) {
		//グローバルフックの解除を行う
		flagTryUnhook = TryUnhook();

		if(flagTryUnhook != 0)
		{
			printf("Unhook failed");
		}

		draw_string_to_mini_window(_("Connect"));
		gtk_widget_destroy(lock_window);
		lock_window = NULL;
		SETLOCK_C(0);
	}

}
